Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# global.h

Go to the documentation of this file.

    00001 /*! \file global.h \brief AVRlib project global include. */
    00002 //*****************************************************************************
    00003 //
    00004 // File Name    : 'global.h'
    00005 // Title        : AVRlib project global include
    00006 // Author       : Pascal Stang - Copyright (C) 2001-2002
    00007 // Created      : 7/12/2001
    00008 // Revised      : 9/30/2002
    00009 // Version      : 1.1
    00010 // Target MCU   : Atmel AVR series
    00011 // Editor Tabs  : 4
    00012 //
    00013 //  Description : This include file is designed to contain items useful to all
    00014 //                  code files and projects.
    00015 //
    00016 // This code is distributed under the GNU Public License
    00017 //      which can be found at http://www.gnu.org/licenses/gpl.txt
    00018 //
    00019 //*****************************************************************************
    00020
    00021 #ifndef GLOBAL_H
    00022 #define GLOBAL_H
    00023
    00024 // global AVRLIB defines
    00025 #include "avrlibdefs.h"
    00026 // global AVRLIB types definitions
    00027 #include "avrlibtypes.h"
    00028
    00029 // project/system dependent defines
    00030
    00031 // CPU clock speed
    00032 //#define F_CPU        16000000                     // 16MHz processor
    00033 //#define F_CPU        14745000                     // 14.745MHz processor
    00034 //#define F_CPU        8000000                      // 8MHz processor
    00035 #define F_CPU        7372800                    // 7.37MHz processor
    00036 //#define F_CPU        4000000                      // 4MHz processor
    00037 //#define F_CPU        3686400                      // 3.69MHz processor
    00038 #define CYCLES_PER_US ((F_CPU+500000)/1000000)  // cpu cycles per microsecond
    00039
    00040 #endif